/*
 * 手太欠
 * 企获客商城
 */

const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        stateType   : 'all',      //订单类型
        orderArr    : [],       //订单列表
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad (options) {},

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        if(wx.getStorageSync("token") == ""){
            wx.navigateTo({
                url: '/pages/login/login'
            })
            return
        }

        // 获取订单列表
        this.orderInfo()
    },

    /**
     * 订单tab
     */
    orderTab(e){
        this.setData({
            stateType: e.currentTarget.dataset.state
        })
        this.orderInfo()
    },

    /**
     * 订单列表
     */
    orderInfo(){
        let stateType = this.data.stateType

        if(stateType == 'all') {
            wx.$api.order.index().then(res=>{
               this.setData({
                   orderArr : res.data
               })
            })
        } else if(stateType == 'unpaid') {
            wx.$api.order.unpaid().then(res=>{
               this.setData({
                   orderArr : res.data
               })
            })
        } else if(stateType == 'paid') {
            wx.$api.order.paid().then(res=>{
               this.setData({
                   orderArr : res.data
               })
            })
        } else if(stateType == 'delive') {
            wx.$api.order.delive().then(res=>{
               this.setData({
                   orderArr : res.data
               })
            })
        } else if(stateType == 'refunds') {
            wx.$api.order.refund().then(res=>{
               this.setData({
                   orderArr : res.data
               })
            })
        }
        
    },

    /**
     * 订单支付
     */
    orderPay(e){
        let orderId = e.currentTarget.dataset.orderid
        wx.navigateTo({
            url: '/pages/mall/mall_pay/mall_pay?orderid=' + orderId,
        })

    },

    /**
     * 取消订单
     */
    orderDelete(e) {
        let orderId = e.currentTarget.dataset.orderid
        wx.$api.orders.cancel(orderId).then(res=>{
            // 获取列表
            this.orderInfo()
        })
    },
})